package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanWelcomeSuitRang;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 欢迎语适用范围表(TabHaobanWelcomeSuitRang)表数据库访问层
 *
 * @author xugaojun
 * @since 2022-02-10 16:40:16
 */
public interface TabHaobanWelcomeSuitRangMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param welcomeSuitRangId 主键
     * @return 实例对象
     */
    TabHaobanWelcomeSuitRang queryById(Long welcomeSuitRangId);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<TabHaobanWelcomeSuitRang> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param tabHaobanWelcomeSuitRang 实例对象
     * @return 对象列表
     */
    List<TabHaobanWelcomeSuitRang> queryAll(TabHaobanWelcomeSuitRang tabHaobanWelcomeSuitRang);

    /**
     * 新增数据
     *
     * @param tabHaobanWelcomeSuitRang 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanWelcomeSuitRang tabHaobanWelcomeSuitRang);

    /**
     * 修改数据
     *
     * @param tabHaobanWelcomeSuitRang 实例对象
     * @return 影响行数
     */
    int update(TabHaobanWelcomeSuitRang tabHaobanWelcomeSuitRang);

    /**
     * 通过主键删除数据
     *
     * @param welcomeSuitRangId 主键
     * @return 影响行数
     */
    int deleteById(Long welcomeSuitRangId);
}
